{% extends 'base.html.twig' %}

{% block title %}Liste des Annonces{% endblock %}

{% block body %}

<br>
<div>
      <select class="form-select" style="width:20%"onchange="changeCategorie(this);">
        <option value='Tout'>Tout</option>
        {% for category in categories %}
            <option value={{category.libelle}}>{{category.libelle}}</option>
        {% endfor %}
      </select>
</div>

<br>
<div class="container">
<div class="row">

{% for annonce in annonces | reverse %}

<annonce>

        <div class="col-md3 mt-3 card mb-3 Tout {{annonce.laCategorie.libelle}}" style="height:55rem">
  <h3 class="card-header">{{ annonce.titre }}</h3>
  <div class="card-body">
    <h5 class="card-title">Produit en vente:</h5>
    <h6 class="card-subtitle text-muted">{{ annonce.libelleProduit }}</h6>
  </div>
<img src={{ annonce.Image }} eight="200px" width="375">
  <div class="card-body">
    <p class="card-text">Disponible du {{ annonce.creneauxDebut | date('d/m H:i') }} au {{ annonce.creneauxFin | date('d/m H:i') }}</p>
  </div>
  <ul class="list-group list-group-flush">
    <li class="list-group-item">Le prix est {{annonce.prixUnitaire}}</li>
    <li class="list-group-item">Quantité disponible : {{annonce.qte}}</li>
    <li class="list-group-item" style="width:350px">Catégorie : {{annonce.laCategorie.libelle}}</li>
    
  </ul>
  <div class="card-body">
    <a href="{{ path('annonce_show', {'id': annonce.id}) }}" class="btn btn-primary"> Lire la suite</a>
  </div>
</div>

</annonce>
<br>
{% endfor %}

</div>
</div>


<script>
function changeCategorie(selectedOption){
    var value = selectedOption.value;

    //récupère toutes les cards
    var allCards = document.getElementsByClassName("Tout");
    //on fait d'abord disparaitre toutes les cards sans exception
    for(var i = 0; i < allCards.length; i++){
        allCards[i].style.display = "none";
    }

    //récupère les cards ayant pour categorie la categorie selectionnée avec le select
    var relatedCards = document.getElementsByClassName(value);
    //re-affiche les annonces ayant la categorie choisie dans le select
    for(var i = 0; i < relatedCards.length; i++){
        relatedCards[i].style.display = "block";
    }
}
</script>

{% endblock %}